Package ghidra.app.cmd.function

# Class CreateMultipleFunctionsCmd

java.lang.Object
ghidra.framework.cmd.BackgroundCommand<Program>
ghidra.app.cmd.function.CreateMultipleFunctionsCmd

All Implemented Interfaces:
  `Command<Program>`

public class CreateMultipleFunctionsCmd extends BackgroundCommand<Program>
Command for Creating multiple functions from a selection. This tries to create functions by working from the minimum address to the maximum address in the selection. Any addresses in the selection that are already in existing functions are discarded. Every time a function is created, all the other addresses for that function are also discarded.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateMultipleFunctionsCmd(AddressSetView selection, SourceType source)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program program, TaskMonitor monitor)`
  Method called when this command is to apply changes to the given domain object.

  ### Methods inherited from class ghidra.framework.cmd.BackgroundCommand

  `applyTo, canCancel, dispose, getName, getStatusMsg, hasProgress, isModal, run, setStatusMsg, taskCompleted, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CreateMultipleFunctionsCmd

    public CreateMultipleFunctionsCmd(AddressSetView selection, SourceType source)

- ## Method Details

  - ### applyTo

    public boolean applyTo(Program program, TaskMonitor monitor)
    Description copied from class: `BackgroundCommand`
    Method called when this command is to apply changes to the given domain object. A monitor is provided to display status information about the command as it executes in the background.
    Specified by:
      `applyTo` in class `BackgroundCommand<Program>`
    Parameters:
      `program` - domain object that will be affected by the command
      `monitor` - monitor to show progress of the command
    Returns:
      true if the command applied successfully